function supx = ILsup(x)
% xsup = ILsup(x)
% returns x if x is a floating point number
% and sup(x) if x is an interval

if exist('intval','file') && isintval(x)
    supx = sup(x);
else
    supx = x;
end

return

